Skip to main content
PUT
/
reports
/
sask
/
v1
/
accounts
/
{accountRefId}
/
representatives
Update representatives
curl --request PUT \
  --url https://api.rrc.dev.finventi.com/reports/sask/v1/accounts/{accountRefId}/representatives \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "refId": "a8306155-8731-4aea-9b36-d30e958fbe33",
    "dateFrom": "2024-12-18",
    "dateTo": "2025-12-31",
    "representative": {
      "type": "F",
      "name": "Jonas",
      "surname": "Jonaitis",
      "birthDate": "1990-05-15",
      "addressCountry": "LV",
      "address": "Riga, Alberta st. 1",
      "codeCountry": "LV",
      "codeInForeignCountry": "39001011234",
      "documentType": "NON_LITHUANIAN_PASSPORT",
      "documentNumber": "AB123456",
      "nationalities": [
        "LV"
      ]
    }
  }
]
'
[
  {
    "status": "SUCCESS",
    "data": {
      "dateFrom": "2024-12-18",
      "dateTo": "2025-12-31",
      "representative": {
        "type": "F",
        "name": "Jonas",
        "surname": "Jonaitis",
        "birthDate": "1990-05-15",
        "addressCountry": "LV",
        "address": "Riga, Alberta st. 1",
        "codeCountry": "LV",
        "codeInForeignCountry": "39001011234",
        "documentType": "NON_LITHUANIAN_PASSPORT",
        "documentNumber": "AB123456",
        "nationalities": [
          "LV"
        ]
      },
      "refId": "a8306155-8731-4aea-9b36-d30e958fbe33"
    }
  }
]

Authorizations

Authorization
string
header
required

Obtain JWT via client_credentials grant. Required role: MMR_SASK_REPORT

Path Parameters

accountRefId
string
required

Body

application/json
dateFrom
string<date>
required

Date from which the representative is valid

Example:

"2024-12-18"

representative
object
required
refId
string
required

Reference ID of the representative to update

Example:

"a8306155-8731-4aea-9b36-d30e958fbe33"

dateTo
string<date>

Date until which the representative is valid

Example:

"2025-12-31"

Response

All updated

status
enum<string>
Available options:
SUCCESS,
FAILED
data
object
errors
object[]
Last modified on April 9, 2026